Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.rules
Interface JboValidatorInterface

All Known Subinterfaces:
  GenericValidator

All Known Implementing Classes:
  JboCompareValidator, JboCustomValidator, JboGenericValidator, JboLengthValidator, JboListValidator, JboMethodValidator, JboNonNullValidator, JboPrecisionScaleValidator, JboRangeValidator, JboRegExpValidator

public interface JboValidatorInterface

The principal interface for validator classes.

Validators are subscribers to events related to adding, deleting, or changing attribute values.

Since:
  JDeveloper 3.0

Method Summary
`java.lang.String` | `getDescription()` Gets the text description of this validator.
`void` | `setDescription(java.lang.String description)` Sets the text description of this validator.
`void` | `validate(JboValidatorContext ctx)` Tests the validity of an attribute value.

Method Detail

### validate

    public void validate(JboValidatorContext ctx)

  Tests the validity of an attribute value.
  Parameters:
    `ctx` - the validator context

### getDescription

    public java.lang.String getDescription()

  Gets the text description of this validator.
  Returns:
    a textual description.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the text description of this validator.
  Parameters:
    `description` - a textual description.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.